package com.platform.service.impl;

import org.springframework.stereotype.Service;

import com.platform.service.ILogRead;
import com.platform.utils.Configs;
import com.platform.utils.FileOperateHelper;

@Service(value = "logReadService")
public class LogReadServiceImpl implements ILogRead {
	

	@Override
	public String readLog(String filename) throws Exception {		
		String result = FileOperateHelper.fileReader(Configs.EXTRACT_LOG_LOCALTION + filename+".log");		
		return result;
	}
	
	@Override
	public String readStandardLog(String filename) throws Exception {		
		String result = FileOperateHelper.fileReader(Configs.EXTRACT_STANDARD_LOG_LOCALTION + "CQ" + filename.replace("-", "_")+".log");		
		return result;
	}

}